#ifndef JENNYFER_H_INCLUDED
#define JENNYFER_H_INCLUDED
#define GFX_W 642
#define GFX_H 450
/**
*@brief Le personnage jennyfer
*@details jennyfer est définie par un ensemble d'animations (de droite et de gauche), d'une
*position dans la fenètre graphique et d'une direction de déplacement
*/
struct jennyfer
 {
        BITMAP *grampF[1];/*!< Tableau des animations ou elle grimpe a droite */
        BITMAP *gramp[2];/*!< Tableau des animations ou elle grimpe a gauche */
        BITMAP * blood[6];/*!< Tableau des images contenant l'energie de jennyfer */
	BITMAP * right[3];/*!< Tableau des animations à droite */
	BITMAP * left[3];/*!< Tableau des animations à gauche */
	int x, y;/*!< Position de l'entité jennyfer*/
	int direction;/*!< direction de l'entité jennyfer0:right 1:left 2:up  3:down*/
        BITMAP *bow[2];/*!< Tableau des animations en bas */

};
typedef struct jennyfer jennyfer;


void move_jennyfer_gramp(jennyfer *jenn,int *compteur);
void load_jennyfer(jennyfer *jenn);
void destroy_jennyfer(jennyfer *jenn);
void init_jennyfer(jennyfer *jenn);
void move_jennyfer_right(jennyfer *jenn,int *compteur,BITMAP * Background);
void move_jennyfer_left(jennyfer *jenn,int *compteur,BITMAP * Background);
void jump_jennyfer(jennyfer *jenn,BITMAP * Background); //move up
void bow_jennyfer(jennyfer *jenn,BITMAP *Background);
void gravity(int *y);
void gravity_jennyfer(jennyfer *jenn,BITMAP * Background);
void move_jennyfer(jennyfer *jenn,int *compteur,BITMAP * Background);
void draw_jennyfer(jennyfer jenn,BITMAP *Buffer, int compteur);
void throw(int *s);
void blood(BITMAP *BLOOD ,BITMAP *Buffer, jennyfer *jenn, int *k);
#endif // JENNYFER_H_INCLUDED
